%define upstream_name    Perl6-Slurp
%define upstream_version 0.051005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Implements the Perl 6 'slurp' built-in
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/Perl6-Slurp-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This package implements the Perl 6 'slurp' built-in.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml MYMETA.yml README demo
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Perl6/Slurp.pm

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.51.5-7pclos2017
- rebuild against updates

